# Interface TableMapper

All Known Implementing Classes:
  `CatMapper, ColumnSelectionMapper, JoinMapper, Match2Mapper, MatchMapper, SkyMatch2Mapper, TapMapper`

public interface TableMapper
Interface for an operation which takes zero or more tables as input and produces one table as output.

Since:
  9 Aug 2005
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`TableMapping`
`createMapping(uk.ac.starlink.task.Environment env, int nin)`
Creates a new mapping object, using a given execution environment for any additional required state.
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters()`
Returns the parameters defined by this mapper.

## Method Details

### getParameters

uk.ac.starlink.task.Parameter<?>[] getParameters()
Returns the parameters defined by this mapper.

Returns:
  parameter array

### createMapping

TableMapping createMapping(uk.ac.starlink.task.Environment env, int nin) throws uk.ac.starlink.task.TaskException
Creates a new mapping object, using a given execution environment for any additional required state.

Parameters:
  `env` - execution environment
  `nin` - number of input tables that the mapping will operate on if known; -1 if not
Throws:
  `uk.ac.starlink.task.TaskException`